package com.sdut.labex.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sdut.labex.entity.User;
import com.sdut.labex.utils.ResVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * File: UserService
 * Created: 2023/6/11
 * Author: springforest
 * Description:
 */

public interface UserService extends IService<User> {
    public ResVo login(String id, String password);

    public ResVo changePassword(String id, String oldPassword, String newPassword);

    public ResVo add(User user);

    public ResVo delete(String id);

    public ResVo update(User user);

    public ResVo addBatch(MultipartFile file);

    public ResVo getUser(int pageNum, int pageSize, User user);
}
